Permalink
Commits on Apr 15, 2012
Commits on Apr 14, 2012
  1. Moved DevKit Environment message to Gem Hook

     * It no longer displays a message when simply using require 'devkit'
     * Fixes bug that causes Gem install to fail when require returns false
    committed Apr 14, 2012
Commits on Apr 13, 2012
  1. Merge pull request #107 from Azolo/dk_gemhook_require

    RubyGems pre_install hook now uses require 'devkit'
    luislavena committed Apr 13, 2012
Commits on Apr 10, 2012
Commits on Apr 5, 2012
  1. Add docs configuration stuff to config folder

     * Also make rakefile.rb load the new file
    committed Apr 5, 2012
Commits on Apr 3, 2012
Commits on Mar 23, 2012
  1. Upgrade RubyGems to 1.8.21

    jonforums committed Mar 23, 2012
Commits on Mar 22, 2012
  1. Upgrade RubyGems to 1.8.20

    jonforums committed Mar 22, 2012
Commits on Mar 12, 2012
Commits on Mar 6, 2012
Commits on Mar 2, 2012
  1. Upgrade RubyGems to 1.8.17

    jonforums committed Mar 2, 2012
Commits on Feb 16, 2012
  1. Upgrade Ruby 1.8.7 to patchlevel 358

    Results of 'make check' here:
    https://gist.github.com/1848061
    luislavena committed Feb 16, 2012
  2. Upgrade Ruby 1.9.3 to patchlevel 125

    Results of 'make check' here:
    https://gist.github.com/1846080
    luislavena committed Feb 16, 2012
Commits on Feb 13, 2012
  1. Upgrade RubyGems to 1.8.16

    jonforums committed Feb 13, 2012
Commits on Feb 9, 2012
Commits on Feb 8, 2012
Commits on Feb 2, 2012
Commits on Jan 21, 2012
Commits on Jan 11, 2012
  1. Upgrade DevKit gdb (and deps) to version 7.3.1

    Older mingw.org and tdm DevKit's do not support upgrade
    to mingw.org's libintl-0.18.1.1 due to libintl's new
    libgcc_c_dw2-1.dll dependency.
    jonforums committed Jan 11, 2012
  2. Upgrade DevKit binutils to version 2.22

    mingw-w64 DevKit's not upgraded as they embed binutils rather
    than providing a separate download like mingw.org or tdm.
    jonforums committed Jan 11, 2012
  3. Remove unneeded DevKit mingw64-32-4.6.3 deps

    The mingw-w64 rubenvb builds currently include GDB linked to a
    private python27.dll library.
    jonforums committed Jan 11, 2012
Commits on Jan 9, 2012
  1. Upgraded RubyGems to 1.8.15 on all Ruby versions

    Reverted to using RubyForge.org for downloads instead of
    rubygems.org S3/CF downloads
    jonforums committed Jan 9, 2012
Commits on Jan 6, 2012
Commits on Jan 4, 2012
  1. Update mingw-32-4.6.2 dependencies

    Continue validating that `libcharset-1.14-2-mingw32-dll-1.tar.lzma`
    is not a required dependency.
    jonforums committed Jan 4, 2012
Commits on Jan 3, 2012
Commits on Dec 28, 2011
  1. Upgrade Ruby 1.8.7 to patchlevel 357

    Results of `make check` here:
    https://gist.github.com/1528082
    luislavena committed Dec 28, 2011
Commits on Dec 10, 2011